%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major		3
%define api		0
%define libname		%mklibname %{name} %{api} %{major}
%define girname		%mklibname %{name}-gir %{api}
%define develname	%mklibname %{name} -d

%bcond_with gsettings

Summary:	A configuration storage system for Xfce
Name:		xfconf
Version:	4.14.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/xfconf/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	chrpath
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Glib::MakeHelper)
BuildRequires:	perl(Glib)
BuildRequires:	perl-devel
Requires:	dbus-x11

%description
Xfconf is a hierarchical (tree-like) configuration
system for the Xfce graphical desktop environment.

%package -n %{libname}
Summary:	Main library for xfconf
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
Main library for the xfconf, a configuration
storage system for Xfce.

%package -n %{girname}
Summary:	GObject Introspection interface description for Xfconf
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for Xfconf.

%package -n %{develname}
Summary:	Development files for xfconf
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%{name} < 4.10.0

%description -n %{develname}
Development files and headers for %{name}.

%package -n perl-%{name}
Summary:	Perl bindings for %{name}
Group:		Development/Perl
Requires:	%{libname} = %{version}-%{release}

%description -n perl-%{name}
Perl bindings for %{name}.

%prep
%autosetup -p1 -Sgit_am

%if %{?mageia} > 6
# make autoreconf happy
sed -i -e 's,\(^AM_INIT_AUTOMAKE\)\((\[\(.*\)\])\|(\(.*\))\|.*\),\1([\3\4 subdir-objects]),' configure.ac
%endif

%build
%xdt_autogen
%configure2_5x	\
	--disable-static \
	--enable-perl-bindings \
	%{?with_gsettings:--enable-gsettings-backend} \
	--with-perl-options="INSTALLDIRS=vendor"

%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

#fix rights and remove rpath
chmod 755 %{buildroot}%{perl_vendorarch}/auto/Xfce4/Xfconf/Xfconf.so
chrpath -d %{buildroot}%{perl_vendorarch}/auto/Xfce4/Xfconf/Xfconf.so

# dummy
mkdir -p %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS ChangeLog
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%{_bindir}/xfconf-query
%{_libdir}/xfce4/%{name}/xfconfd
%if %{with gsettings}
%{_libdir}/gio/modules/libxfconfgsettingsbackend.so
%endif
%{_datadir}/dbus-1/services/org.xfce.Xfconf.service

%files -n %{libname}
%{_libdir}/*xfconf-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Xfconf-%{api}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/xfconf
%{_includedir}/xfce4/xfconf-%{api}
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/lib%{name}-%{api}.pc
%{_datadir}/vala/vapi/libxfconf-0.{deps,vapi}
%{_datadir}/gir-1.0/Xfconf-%{api}.gir

%files -n perl-%{name}
%dir %{perl_vendorarch}/Xfce4
%dir %{perl_vendorarch}/Xfce4/Xfconf
%dir %{perl_vendorarch}/Xfce4/Xfconf/Install
%dir %{perl_vendorarch}/auto/Xfce4/Xfconf
%{perl_vendorarch}/Xfce4/*.pm
%{perl_vendorarch}/Xfce4/Xfconf/Install/*
%{perl_vendorarch}/auto/Xfce4/Xfconf/*.so
%{_mandir}/man3/Xfce4::Xfconf.3pm.*
